diff --git a/gcc/analyzer/region-model.cc b/gcc/analyzer/region-model.cc
index 890f7006fee..292d268300d 100644
--- a/gcc/analyzer/region-model.cc
+++ b/gcc/analyzer/region-model.cc
@@ -6090,39 +5108,39 @@ assert_compat_types (tree src_type, tree dst_type)
       internal_error ("incompatible types: %qT and %qT", src_type, dst_type);
 }
 
-/* Get the region2 for PV within this region_model2,
+/* Get the region for PV within this region_model,
    emitting any diagnostics to CTXT.  */
 
-const region2 *
-region_model2::get_lvalue (path_var pv,
-			   region_model2_context *ctxt)
+const region *
+region_model::get_lvalue (path_var pv,
+			   region_model_context *ctxt)
 {
   if (pv.m_tree == NULL_TREE)
     return NULL;
 
-  const region2 *result_reg = get_lvalue_1 (pv, ctxt);
+  const region *result_reg = get_lvalue_1 (pv, ctxt);
   assert_compat_types (result_reg->get_type (), TREE_TYPE (pv.m_tree));
   return result_reg;
 }
 
-/* Get the region2 for EXPR within this region_model2 (assuming the most
+/* Get the region for EXPR within this region_model (assuming the most
    recent stack frame if it's a local).  */
 
-const region2 *
-region_model2::get_lvalue (tree expr,
-			   region_model2_context *ctxt)
+const region *
+region_model::get_lvalue (tree expr,
+			   region_model_context *ctxt)
 {
   return get_lvalue (path_var (expr, get_stack_depth () - 1), ctxt);
 }
 
-/* Implementation of region_model2::get_rvalue; the latter adds type-checking.
+/* Implementation of region_model::get_rvalue; the latter adds type-checking.
 
-   Get the value of PV within this region_model2,
+   Get the value of PV within this region_model,
    emitting any diagnostics to CTXT.  */
 
-const svalue2 *
-region_model2::get_rvalue_1 (path_var pv,
-			     region_model2_context *ctxt)
+const svalue *
+region_model::get_rvalue_1 (path_var pv,
+			     region_model_context *ctxt)
 {
   gcc_assert (pv.m_tree);
 
@@ -6132,8 +5150,8 @@ region_model2::get_rvalue_1 (path_var pv,
       {
 	gcc_unreachable ();
 #if 0
-	const svalue2 *unknown_sval = new unknown_svalue2 (TREE_TYPE (pv.m_tree));
-	return add_svalue2 (unknown_sval);
+	const svalue *unknown_sval = new unknown_svalue (TREE_TYPE (pv.m_tree));
+	return add_svalue (unknown_sval);
 #endif
       }
       break;
@@ -6145,12 +5163,12 @@ region_model2::get_rvalue_1 (path_var pv,
 	tree op0 = TREE_OPERAND (expr, 0);
 #if 0
 	if (TREE_CODE (op0) == FUNCTION_DECL)
-	  return m_mgr->get_svalue2_for_fndecl (TREE_TYPE (expr), op0, ctxt);
+	  return m_mgr->get_svalue_for_fndecl (TREE_TYPE (expr), op0, ctxt);
 	else if (TREE_CODE (op0) == LABEL_DECL)
-	  return m_mgr->get_svalue2_for_label (TREE_TYPE (expr), op0, ctxt);
+	  return m_mgr->get_svalue_for_label (TREE_TYPE (expr), op0, ctxt);
 #endif
-	const region2 *expr_reg = get_lvalue (op0, ctxt);
-	return m_mgr->get_ptr_svalue2 (TREE_TYPE (expr), expr_reg);
+	const region *expr_reg = get_lvalue (op0, ctxt);
+	return m_mgr->get_ptr_svalue (TREE_TYPE (expr), expr_reg);
       }
       break;
 
@@ -6158,20 +5176,20 @@ region_model2::get_rvalue_1 (path_var pv,
       {
 #if 0
 	tree expr = pv.m_tree;
-	const region2 *obj = get_lvalue (TREE_OPERAND (expr, 0), ctxt);
-	const svalue2 *num_bits = get_rvalue (TREE_OPERAND (expr, 1), ctxt);
-	const svalue2 *bit_offset = get_rvalue (TREE_OPERAND (expr, 2), ctxt);
+	const region *obj = get_lvalue (TREE_OPERAND (expr, 0), ctxt);
+	const svalue *num_bits = get_rvalue (TREE_OPERAND (expr, 1), ctxt);
+	const svalue *bit_offset = get_rvalue (TREE_OPERAND (expr, 2), ctxt);
 	/* FIXME: attempting to add bitwise access will ultimately require
-	   a new svalue2 type for accessing bits from another svalue2
+	   a new svalue type for accessing bits from another svalue
 	   (e.g. to handle the case where the store has no binding for the
-	   bits), and probably a new region2 type also (or maybe just the
-	   latter, using a sub_svalue2 for the former).
+	   bits), and probably a new region type also (or maybe just the
+	   latter, using a sub_svalue for the former).
 	   Is it possible to attempting to spot when we're accessing known
 	   values, and have this possibly return NULL?  */
 	return maybe_get_store_bits (TREE_TYPE (expr), obj, num_bits,
 				     bit_offset);
 #else
-	return m_mgr->get_or_create_unknown_svalue2 (TREE_TYPE (pv.m_tree));
+	return m_mgr->get_or_create_unknown_svalue (TREE_TYPE (pv.m_tree));
 #endif
       }
       break;
@@ -6182,7 +5200,7 @@ region_model2::get_rvalue_1 (path_var pv,
     case RESULT_DECL:
     case ARRAY_REF:
       {
-	const region2 *element_reg = get_lvalue (pv, ctxt);
+	const region *element_reg = get_lvalue (pv, ctxt);
 	return get_store_value (element_reg);
       }
 
@@ -6192,8 +5210,8 @@ region_model2::get_rvalue_1 (path_var pv,
       {
 	tree expr = pv.m_tree;
 	tree arg = TREE_OPERAND (expr, 0);
-	const svalue2 *arg_sval = get_rvalue (arg, ctxt);
-	const svalue2 *sval_unaryop
+	const svalue *arg_sval = get_rvalue (arg, ctxt);
+	const svalue *sval_unaryop
 	  = m_mgr->get_or_create_unaryop (TREE_TYPE (expr), TREE_CODE (expr),
 					  arg_sval);
 	return sval_unaryop;
@@ -6204,16 +5222,16 @@ region_model2::get_rvalue_1 (path_var pv,
     case COMPLEX_CST:
     case VECTOR_CST:
     case STRING_CST:
-      return m_mgr->get_or_create_constant_svalue2 (pv.m_tree);
+      return m_mgr->get_or_create_constant_svalue (pv.m_tree);
 
     case POINTER_PLUS_EXPR:
 	{
 	  tree expr = pv.m_tree;
 	  tree ptr = TREE_OPERAND (expr, 0);
 	  tree offset = TREE_OPERAND (expr, 1);
-	  const svalue2 *ptr_sval = get_rvalue (ptr, ctxt);
-	  const svalue2 *offset_sval = get_rvalue (offset, ctxt);
-	  const svalue2 *sval_binop
+	  const svalue *ptr_sval = get_rvalue (ptr, ctxt);
+	  const svalue *offset_sval = get_rvalue (offset, ctxt);
+	  const svalue *sval_binop
 	    = m_mgr->get_or_create_binop (TREE_TYPE (expr), POINTER_PLUS_EXPR,
 					  ptr_sval, offset_sval);
 	  return sval_binop;
@@ -6226,9 +5244,9 @@ region_model2::get_rvalue_1 (path_var pv,
 	  tree expr = pv.m_tree;
 	  tree arg0 = TREE_OPERAND (expr, 0);
 	  tree arg1 = TREE_OPERAND (expr, 1);
-	  const svalue2 *arg0_sval = get_rvalue (arg0, ctxt);
-	  const svalue2 *arg1_sval = get_rvalue (arg1, ctxt);
-	  const svalue2 *sval_binop
+	  const svalue *arg0_sval = get_rvalue (arg0, ctxt);
+	  const svalue *arg1_sval = get_rvalue (arg1, ctxt);
+	  const svalue *sval_binop
 	    = m_mgr->get_or_create_binop (TREE_TYPE (expr), TREE_CODE (expr),
 					  arg0_sval, arg1_sval);
 	  return sval_binop;
@@ -6237,45 +5255,45 @@ region_model2::get_rvalue_1 (path_var pv,
     case COMPONENT_REF:
     case MEM_REF:
       {
-	const region2 *ref_reg = get_lvalue (pv, ctxt);
+	const region *ref_reg = get_lvalue (pv, ctxt);
 	return get_store_value (ref_reg);
       }
     }
 }
 
-/* Get the value of PV within this region_model2,
+/* Get the value of PV within this region_model,
    emitting any diagnostics to CTXT.  */
 
-const svalue2 *
-region_model2::get_rvalue (path_var pv,
-			   region_model2_context *ctxt)
+const svalue *
+region_model::get_rvalue (path_var pv,
+			   region_model_context *ctxt)
 {
   if (pv.m_tree == NULL_TREE)
     return NULL;
 
-  const svalue2 *result_sval = get_rvalue_1 (pv, ctxt);
+  const svalue *result_sval = get_rvalue_1 (pv, ctxt);
 
   assert_compat_types (result_sval->get_type (), TREE_TYPE (pv.m_tree));
 
   return result_sval;
 }
 
-/* Get the value of EXPR within this region_model2 (assuming the most
+/* Get the value of EXPR within this region_model (assuming the most
    recent stack frame if it's a local).  */
 
-const svalue2 *
-region_model2::get_rvalue (tree expr,
-			   region_model2_context *ctxt)
+const svalue *
+region_model::get_rvalue (tree expr,
+			   region_model_context *ctxt)
 {
   return get_rvalue (path_var (expr, get_stack_depth () - 1), ctxt);
 }
 
 /* FIXME.  */
 
-const svalue2 *
-region_model2::get_store_value (const region2 *reg) const
+const svalue *
+region_model::get_store_value (const region *reg) const
 {
-  const svalue2 *sval
+  const svalue *sval
     = m_store.get_any_binding (m_mgr->get_store_manager (), reg);
   if (sval)
     {
@@ -6285,14 +5303,14 @@ region_model2::get_store_value (const region2 *reg) const
     }
 
   /* Special-case: read at a constant index within a STRING_CST.  */
-  if (const offset_region2 *offset_reg = reg->dyn_cast_offset_region2 ())
+  if (const offset_region *offset_reg = reg->dyn_cast_offset_region ())
     if (tree byte_offset_cst
 	  = offset_reg->get_byte_offset ()->maybe_get_constant ())
-      if (const string_region2 *str_reg
-	  = reg->get_parent_region ()->dyn_cast_string_region2 ())
+      if (const string_region *str_reg
+	  = reg->get_parent_region ()->dyn_cast_string_region ())
 	{
 	  tree string_cst = str_reg->get_string_cst ();
-	  if (const svalue2 *char_sval
+	  if (const svalue *char_sval
 		= maybe_get_char_from_string_cst (string_cst, byte_offset_cst,
 						  m_mgr))
 	    return m_mgr->get_or_create_cast (reg->get_type (), char_sval);
@@ -6300,14 +5318,14 @@ region_model2::get_store_value (const region2 *reg) const
 
   /* Special-case: read the initial char of a STRING_CST.  */
   // FIXME: but only if the cast is to a char?
-  if (const cast_region2 *cast_reg = reg->dyn_cast_cast_region2 ())
-    if (const string_region2 *str_reg
-	= cast_reg->get_original_region ()->dyn_cast_string_region2 ())
+  if (const cast_region *cast_reg = reg->dyn_cast_cast_region ())
+    if (const string_region *str_reg
+	= cast_reg->get_original_region ()->dyn_cast_string_region ())
       if (reg->get_type ()) // FIXME
       {
 	tree string_cst = str_reg->get_string_cst ();
 	tree byte_offset_cst = build_int_cst (integer_type_node, 0);
-	if (const svalue2 *char_sval
+	if (const svalue *char_sval
 	    = maybe_get_char_from_string_cst (string_cst, byte_offset_cst,
 					      m_mgr))
 	  return m_mgr->get_or_create_cast (reg->get_type (), char_sval);
@@ -6322,11 +5340,11 @@ region_model2::get_store_value (const region2 *reg) const
   // FIXME: what about symbolic writes also?
   if (m_store.called_unknown_fn_p ())
     if (reg->get_base_region ()->get_parent_region ()->get_kind ()
-	== region2::RK_GLOBALS)
-      return m_mgr->get_or_create_unknown_svalue2 (reg->get_type ());
+	== region::RK_GLOBALS)
+      return m_mgr->get_or_create_unknown_svalue (reg->get_type ());
 
   /* FIXME: not if touched by symbolic value; handled in
-     binding_cluster2::get_any_binding.  */
+     binding_cluster::get_any_binding.  */
   return m_mgr->get_or_create_initial_value (reg);
 }
 
@@ -6335,14 +5353,14 @@ region_model2::get_store_value (const region2 *reg) const
    after frames are popped.  */
 
 bool
-region_model2::region_exists_p (const region2 *reg) const
+region_model::region_exists_p (const region *reg) const
 {
   /* If within a stack frame, check that the stack frame is live.  */
-  if (const frame_region2 *enclosing_frame = reg->maybe_get_frame_region ())
+  if (const frame_region *enclosing_frame = reg->maybe_get_frame_region ())
     {
       /* Check that the current frame is the enclosing frame, or is called
 	 by it.  */
-      for (const frame_region2 *iter_frame = get_current_frame (); iter_frame;
+      for (const frame_region *iter_frame = get_current_frame (); iter_frame;
 	   iter_frame = iter_frame->get_calling_frame ())
 	if (iter_frame == enclosing_frame)
 	  return true;
@@ -6352,178 +5370,13 @@ region_model2::region_exists_p (const region2 *reg) const
   return true;
 }
 
-/* Build a cast of SRC_EXPR to DST_TYPE, or return NULL_TREE.
-
-   Adapted from gcc::jit::playback::context::build_cast, which in turn is
-   adapted from
-     - c/c-typeck.c:build_c_cast
-     - c/c-convert.c: convert
-     - convert.h
-   Only some kinds of cast are currently supported here.  */
-#if 0
-static tree
-build_cast (tree dst_type, tree src_expr)
-{
-  tree result = targetm.convert_to_type (dst_type, src_expr);
-  if (result)
-    return result;
-  enum tree_code dst_code = TREE_CODE (dst_type);
-  switch (dst_code)
-    {
-    case INTEGER_TYPE:
-    case ENUMERAL_TYPE:
-      result = convert_to_integer (dst_type, src_expr);
-      goto maybe_fold;
-
-    case BOOLEAN_TYPE:
-      /* Compare with c_objc_common_truthvalue_conversion and
-	 c_common_truthvalue_conversion. */
-      /* For now, convert to: (src_expr != 0)  */
-      result = build2 (NE_EXPR, dst_type,
-		       src_expr,
-		       build_int_cst (TREE_TYPE (src_expr), 0));
-      goto maybe_fold;
-
-    case REAL_TYPE:
-      result = convert_to_real (dst_type, src_expr);
-      goto maybe_fold;
-
-    case POINTER_TYPE:
-      result = build1 (NOP_EXPR, dst_type, src_expr);
-      goto maybe_fold;
-
-    default:
-      return NULL_TREE;
-
-    maybe_fold:
-      if (TREE_CODE (result) != C_MAYBE_CONST_EXPR)
-	result = fold (result);
-      return result;
-    }
-}
-#endif
-
-/* If the type of SID's underlying value is DST_TYPE, return SID.
-   Otherwise, attempt to create (or reuse) an svalue2 representing an access
-   of SID as a DST_TYPE and return that value's svalue2_id.  */
-#if 0
-svalue2_id
-region_model2::maybe_cast_1 (tree dst_type, const svalue2 *sval)
-{
-  const svalue2 *sval = get_svalue2 (sid);
-  tree src_type = sval->get_type ();
-  if (src_type == dst_type)
-    return sid;
-
-  if (POINTER_TYPE_P (dst_type)
-      || POINTER_TYPE_P (src_type))
-    {
-      /* Pointer to region2.  */
-      if (region_svalue2 *ptr_sval = sval->dyn_cast_region_svalue2 ())
-	return get_or_create_ptr_svalue2 (dst_type, ptr_sval->get_pointee ());
-
-      /* Unknown pointer?   Get or create a new unknown pointer of the
-	 correct type, preserving the equality between the pointers.  */
-      if (sval->dyn_cast_unknown_svalue2 ())
-	{
-	  equiv_class &ec = m_constraints->get_equiv_class (sid);
-
-	  /* Look for an existing pointer of the correct type within the EC.  */
-	  int i;
-	  const svalue2 **equiv_sval;
-	  FOR_EACH_VEC_ELT (ec.m_vars, i, equiv_sval)
-	    {
-	      const svalue2 *equiv_val = get_svalue2 (*equiv_sval);
-	      if (equiv_val->get_type () == dst_type)
-		return *equiv_sval;
-	    }
-
-	  /* Otherwise, create a new unknown pointer of the correct type.  */
-	  const svalue2 *unknown_sval = new unknown_svalue2 (dst_type);
-	  const svalue2 *new_ptr_sval = add_svalue2 (unknown_sval);
-	  m_constraints->add_constraint (sid, EQ_EXPR, new_ptr_sval);
-	  return new_ptr_sval;
-	}
-    }
-
-  /* Attempt to cast constants.  */
-  if (tree src_cst = sval->maybe_get_constant ())
-    {
-      if (tree dst = build_cast (dst_type, src_cst))
-	if (CONSTANT_CLASS_P (dst))
-	  return get_or_create_constant_svalue2 (dst);
-    }
-
-  /* Otherwise, return a new unknown value.  */
-  const svalue2 *unknown_sval = new unknown_svalue2 (dst_type);
-  return add_svalue2 (unknown_sval);
-}
-
-/* If the type of SID's underlying value is DST_TYPE, return SID.
-   Otherwise, attempt to create (or reuse) an svalue2 representing an access
-   of SID as a DST_TYPE and return that value's svalue2_id.
-
-   If the result != SID, then call CTXT's on_cast vfunc (if CTXT is non-NULL),
-   so that sm-state can be propagated from SID to the result.  */
-
-svalue2_id
-region_model2::maybe_cast (tree dst_type, const svalue2 *sval,
-			  region_model2_context *ctxt)
-{
-  const svalue2 *result = maybe_cast_1 (dst_type, sid);
-  if (result != sid)
-    if (ctxt)
-      {
-	/* Notify ctxt about a cast, so any sm-state can be copied.  */
-	ctxt->on_cast (sid, result);
-      }
-  return result;
-}
-#endif
-
-/* Ensure that the region2 for OBJ_REG has a child region2 for FIELD;
-   return the child region2's region2_id.  */
-#if 0
-region2_id
-region_model2::get_field_region (region2 *struct_or_union_reg, tree field,
-				 region_model2_context *ctxt)
-{
-  struct_or_union_region2 *sou_reg
-    = get_region2<struct_or_union_region2> (struct_or_union_reg);
-
-  /* Inherit constness from parent type.  */
-  const int qual_mask = TYPE_QUAL_CONST;
-  int sou_quals = TYPE_QUALS (sou_reg->get_type ()) & qual_mask;
-  tree field_type = TREE_TYPE (field);
-  tree field_type_with_quals = build_qualified_type (field_type, sou_quals);
-
-  // TODO: maybe convert to a vfunc?
-  if (sou_reg->get_kind () == RK_UNION)
-    {
-      /* Union.
-	 Get a view of the union as a whole, with the type of the field.  */
-      region2 *view_reg
-	= get_or_create_view (struct_or_union_reg, field_type_with_quals, ctxt);
-      return view_reg;
-    }
-  else
-    {
-      /* Struct.  */
-      region2 *child_reg
-	= sou_reg->get_or_create (this, struct_or_union_reg, field,
-				  field_type_with_quals, ctxt);
-      return child_reg;
-    }
-}
-#endif
-
-/* Get a region2 for referencing PTR_SVAL, creating a region2 if need be, and
+/* Get a region for referencing PTR_SVAL, creating a region if need be, and
    potentially generating warnings via CTXT.
    PTR_TREE if non-NULL can be used when emitting diagnostics.  */
 
-const region2 *
-region_model2::deref_rvalue (const svalue2 *ptr_sval, tree ptr_tree,
-			     region_model2_context *ctxt)
+const region *
+region_model::deref_rvalue (const svalue *ptr_sval, tree ptr_tree,
+			     region_model_context *ctxt)
 {
   gcc_assert (ptr_sval);
 
@@ -6532,48 +5385,48 @@ region_model2::deref_rvalue (const svalue2 *ptr_sval, tree ptr_tree,
     default:
       gcc_unreachable ();
 
-    case svalue2::SK_REGION:
+    case svalue::SK_REGION:
       {
-	const region_svalue2 *region2_sval
-	  = as_a <const region_svalue2 *> (ptr_sval);
-	return region2_sval->get_pointee ();
+	const region_svalue *region_sval
+	  = as_a <const region_svalue *> (ptr_sval);
+	return region_sval->get_pointee ();
       }
 
-    case svalue2::SK_BINOP:
+    case svalue::SK_BINOP:
 #if 1
       {
-	const binop_svalue2 *binop_sval
-	  = as_a <const binop_svalue2 *> (ptr_sval);
+	const binop_svalue *binop_sval
+	  = as_a <const binop_svalue *> (ptr_sval);
 	switch (binop_sval->get_op ())
 	  {
 	  case POINTER_PLUS_EXPR:
 	    {
 	      /* If we have a symbolic value expressing pointer arithmentic,
 		 try to convert it to a suitable region.  */
-	      /* FIXME: but should it be an element_region2?  that expresses
+	      /* FIXME: but should it be an element_region?  that expresses
 		 things via element indices, rather than via byte offsets.  */
 	      /* Perhaps instead we should capture this as an offset relative
 		 to a base region in region_offset?  */
-	      const region2 *parent_region
+	      const region *parent_region
 		= deref_rvalue (binop_sval->get_arg0 (), NULL_TREE, ctxt);
-	      const svalue2 *offset = binop_sval->get_arg1 ();
+	      const svalue *offset = binop_sval->get_arg1 ();
 	      tree type= TREE_TYPE (ptr_sval->get_type ());
 	      return m_mgr->get_offset_region (parent_region, type, offset);
 	    }
 	  default:
-	    goto create_symbolic_region2;
+	    goto create_symbolic_region;
 	  }
       }
 #endif
-    case svalue2::SK_CONSTANT:
-    case svalue2::SK_INITIAL:
-    case svalue2::SK_UNARYOP:
-    case svalue2::SK_SUB:
-    case svalue2::SK_WIDENING:
-    case svalue2::SK_CONJURED:
-      goto create_symbolic_region2;
-
-    case svalue2::SK_POISONED:
+    case svalue::SK_CONSTANT:
+    case svalue::SK_INITIAL:
+    case svalue::SK_UNARYOP:
+    case svalue::SK_SUB:
+    case svalue::SK_WIDENING:
+    case svalue::SK_CONJURED:
+      goto create_symbolic_region;
+
+    case svalue::SK_POISONED:
       {
 	if (ctxt)
 	  {
@@ -6585,64 +5438,51 @@ region_model2::deref_rvalue (const svalue2 *ptr_sval, tree ptr_tree,
 	      ptr = ptr_tree;
 	    if (ptr)
 	      {
-		const poisoned_svalue2 *poisoned_sval
-		  = as_a <const poisoned_svalue2 *> (ptr_sval);
+		const poisoned_svalue *poisoned_sval
+		  = as_a <const poisoned_svalue *> (ptr_sval);
 		enum poison_kind pkind = poisoned_sval->get_poison_kind ();
-		ctxt->warn (new poisoned_value_diagnostic2 (ptr, pkind));
+		ctxt->warn (new poisoned_value_diagnostic (ptr, pkind));
 	      }
 	  }
-	goto create_symbolic_region2;
+	goto create_symbolic_region;
       }
 
-    case svalue2::SK_UNKNOWN:
+    case svalue::SK_UNKNOWN:
       {
-      create_symbolic_region2:
-	/* We need a symbolic_region2 to represent this unknown region2.
+      create_symbolic_region:
+	/* We need a symbolic_region to represent this unknown region.
 	   FIXME:
 	   We don't know if it on the heap, stack, or a global,
-	   so use the root region2 as parent.  */
-	const region2 *new_reg = m_mgr->get_symbolic_region (ptr_sval);
+	   so use the root region as parent.  */
+	const region *new_reg = m_mgr->get_symbolic_region (ptr_sval);
 #if 0
-	/* We need to write the region2 back into the pointer,
-	   or we'll get a new, different region2 each time.
+	/* We need to write the region back into the pointer,
+	   or we'll get a new, different region each time.
 	   We do this by changing the meaning of ptr_sval, replacing
-	   the unknown value with the ptr to the new region2.
+	   the unknown value with the ptr to the new region.
 	   We replace the meaning of the ID rather than simply writing
 	   to PTR's lvalue since there could be several places sharing
 	   the same unknown ptr value.  */
-	const svalue2 *ptr_val
-	  = new region_svalue2 (ptr_sval->get_type (), new_reg);
-	replace_svalue2 (ptr_sval, ptr_val);
+	const svalue *ptr_val
+	  = new region_svalue (ptr_sval->get_type (), new_reg);
+	replace_svalue (ptr_sval, ptr_val);
 #endif
 	return new_reg;
       }
 
-    case svalue2::SK_SETJMP:
-      goto create_symbolic_region2;
+    case svalue::SK_SETJMP:
+      goto create_symbolic_region;
     }
 
   gcc_unreachable ();
 }
 
-#if 0
-
-/* Get a region2 *for referencing PTR, creating a region2 if need be, and
-   potentially generating warnings via CTXT.  */
-
-region2_id
-region_model2::deref_rvalue (tree ptr, region_model2_context *ctxt)
-{
-  const svalue2 *ptr_sval = get_rvalue (ptr, ctxt);
-  return deref_rvalue (ptr_sval, ctxt);
-}
-#endif
-
-/* Set the value of the region2 given by LHS_REG to the value given
+/* Set the value of the region given by LHS_REG to the value given
    by RHS_SVAL.  */
 
 void
-region_model2::set_value (const region2 *lhs_reg, const svalue2 *rhs_sval,
-			  region_model2_context */*ctxt*/)
+region_model::set_value (const region *lhs_reg, const svalue *rhs_sval,
+			  region_model_context */*ctxt*/)
 {
   gcc_assert (lhs_reg);
   gcc_assert (rhs_sval);
@@ -6651,14 +5491,14 @@ region_model2::set_value (const region2 *lhs_reg, const svalue2 *rhs_sval,
 		     BK_direct);
 }
 
-/* Set the value of the region2 given by LHS to the value given
+/* Set the value of the region given by LHS to the value given
    by RHS.  */
 
 void
-region_model2::set_value (tree lhs, tree rhs, region_model2_context *ctxt)
+region_model::set_value (tree lhs, tree rhs, region_model_context *ctxt)
 {
-  const region2 *lhs_reg = get_lvalue (lhs, ctxt);
-  const svalue2 *rhs_sval = get_rvalue (rhs, ctxt);
+  const region *lhs_reg = get_lvalue (lhs, ctxt);
+  const svalue *rhs_sval = get_rvalue (rhs, ctxt);
   gcc_assert (lhs_reg);
   gcc_assert (rhs_sval);
   set_value (lhs_reg, rhs_sval, ctxt);
@@ -6667,7 +5507,7 @@ region_model2::set_value (tree lhs, tree rhs, region_model2_context *ctxt)
 /* FIXME.  */
 
 void
-region_model2::clobber_region (const region2 *reg)
+region_model::clobber_region (const region *reg)
 {
   m_store.clobber_region (m_mgr->get_store_manager(), reg);
 }
@@ -6675,7 +5515,7 @@ region_model2::clobber_region (const region2 *reg)
 /* FIXME.  */
 
 void
-region_model2::purge_region (const region2 *reg)
+region_model::purge_region (const region *reg)
 {
   m_store.purge_region (m_mgr->get_store_manager(), reg);
 }
@@ -6683,7 +5523,7 @@ region_model2::purge_region (const region2 *reg)
 /* Zero-fill REG.  */
 
 void
-region_model2::zero_fill_region (const region2 *reg)
+region_model::zero_fill_region (const region *reg)
 {
   m_store.zero_fill_region (m_mgr->get_store_manager(), reg);
 }
@@ -6691,7 +5531,7 @@ region_model2::zero_fill_region (const region2 *reg)
 /* Mark REG as having unknown content.  */
 
 void
-region_model2::mark_region_as_unknown (const region2 *reg)
+region_model::mark_region_as_unknown (const region *reg)
 {
   m_store.mark_region_as_unknown (m_mgr->get_store_manager(), reg);
 }
@@ -6700,9 +5540,9 @@ region_model2::mark_region_as_unknown (const region2 *reg)
    this model.  */
 
 tristate
-region_model2::eval_condition (const svalue2 *lhs,
+region_model::eval_condition (const svalue *lhs,
 			       enum tree_code op,
-			       const svalue2 *rhs) const
+			       const svalue *rhs) const
 {
   /* For now, make no attempt to capture constraints on floating-point
      values.  */
@@ -6715,20 +5555,20 @@ region_model2::eval_condition (const svalue2 *lhs,
     return ts;
 
   /* Otherwise, try constraints.  */
-  return m_constraints2->eval_condition (lhs, op, rhs);
+  return m_constraints->eval_condition (lhs, op, rhs);
 }
 
 /* Determine what is known about the condition "LHS_SVAL OP RHS_SVAL" within
    this model, without resorting to the constraint_manager.
 
-   This is exposed so that impl_region_model2_context::on_state_leak can
-   check for equality part-way through region_model2::purge_unused_svalue2s
+   This is exposed so that impl_region_model_context::on_state_leak can
+   check for equality part-way through region_model::purge_unused_svalues
    without risking creating new ECs.  */
 
 tristate
-region_model2::eval_condition_without_cm (const svalue2 *lhs,
+region_model::eval_condition_without_cm (const svalue *lhs,
 					  enum tree_code op,
-					  const svalue2 *rhs) const
+					  const svalue *rhs) const
 {
   gcc_assert (lhs);
   gcc_assert (rhs);
@@ -6747,12 +5587,12 @@ region_model2::eval_condition_without_cm (const svalue2 *lhs,
 
   if (lhs == rhs)
     {
-      /* If we have the same svalue2, then we have equality
+      /* If we have the same svalue, then we have equality
 	 (apart from NaN-handling).
 	 TODO: should this definitely be the case for poisoned values?  */
       /* Poisoned and unknown values are "unknowable".  */
-      if (lhs->get_kind () == svalue2::SK_POISONED
-	  || lhs->get_kind () == svalue2::SK_UNKNOWN)
+      if (lhs->get_kind () == svalue::SK_POISONED
+	  || lhs->get_kind () == svalue::SK_UNKNOWN)
 	return tristate::TS_UNKNOWN;
 
       switch (op)
@@ -6773,30 +5613,30 @@ region_model2::eval_condition_without_cm (const svalue2 *lhs,
 	}
     }
 
-  /* If we have a pair of region_svalue2s, compare them.  */
-  if (const region_svalue2 *lhs_ptr = lhs->dyn_cast_region_svalue2 ())
-    if (const region_svalue2 *rhs_ptr = rhs->dyn_cast_region_svalue2 ())
+  /* If we have a pair of region_svalues, compare them.  */
+  if (const region_svalue *lhs_ptr = lhs->dyn_cast_region_svalue ())
+    if (const region_svalue *rhs_ptr = rhs->dyn_cast_region_svalue ())
       {
-	tristate res = region_svalue2::eval_condition (lhs_ptr, op, rhs_ptr);
+	tristate res = region_svalue::eval_condition (lhs_ptr, op, rhs_ptr);
 	if (res.is_known ())
 	  return res;
 	/* Otherwise, only known through constraints.  */
       }
 
   /* If we have a pair of constants, compare them.  */
-  if (const constant_svalue2 *cst_lhs = lhs->dyn_cast_constant_svalue2 ())
-    if (const constant_svalue2 *cst_rhs = rhs->dyn_cast_constant_svalue2 ())
-      return constant_svalue2::eval_condition (cst_lhs, op, cst_rhs);
+  if (const constant_svalue *cst_lhs = lhs->dyn_cast_constant_svalue ())
+    if (const constant_svalue *cst_rhs = rhs->dyn_cast_constant_svalue ())
+      return constant_svalue::eval_condition (cst_lhs, op, cst_rhs);
 
-  /* Handle comparison of a region_svalue2 against zero.  */
+  /* Handle comparison of a region_svalue against zero.  */
 
-  if (const region_svalue2 *ptr = lhs->dyn_cast_region_svalue2 ())
-    if (const constant_svalue2 *cst_rhs = rhs->dyn_cast_constant_svalue2 ())
+  if (const region_svalue *ptr = lhs->dyn_cast_region_svalue ())
+    if (const constant_svalue *cst_rhs = rhs->dyn_cast_constant_svalue ())
       if (zerop (cst_rhs->get_constant ()))
 	{
-	  /* A region_svalue2 is a non-NULL pointer, except in certain
-	     special cases (see the comment for region2::non_null_p.  */
-	  const region2 *pointee = ptr->get_pointee ();
+	  /* A region_svalue is a non-NULL pointer, except in certain
+	     special cases (see the comment for region::non_null_p.  */
+	  const region *pointee = ptr->get_pointee ();
 	  if (pointee->non_null_p (*this))
 	    {
 	      switch (op)
@@ -6819,22 +5659,22 @@ region_model2::eval_condition_without_cm (const svalue2 *lhs,
 
   /* Handle rejection of equality for comparisons of the initial values of
      "external" values (such as params) with the address of locals.  */
-  if (const initial_svalue2 *init_lhs = lhs->dyn_cast_initial_svalue2 ())
-    if (const region_svalue2 *rhs_ptr = rhs->dyn_cast_region_svalue2 ())
+  if (const initial_svalue *init_lhs = lhs->dyn_cast_initial_svalue ())
+    if (const region_svalue *rhs_ptr = rhs->dyn_cast_region_svalue ())
       {
 	tristate res = compare_initial_and_pointer (init_lhs, rhs_ptr);
 	if (res.is_known ())
 	  return res;
       }
-  if (const initial_svalue2 *init_rhs = rhs->dyn_cast_initial_svalue2 ())
-    if (const region_svalue2 *lhs_ptr = lhs->dyn_cast_region_svalue2 ())
+  if (const initial_svalue *init_rhs = rhs->dyn_cast_initial_svalue ())
+    if (const region_svalue *lhs_ptr = lhs->dyn_cast_region_svalue ())
       {
 	tristate res = compare_initial_and_pointer (init_rhs, lhs_ptr);
 	if (res.is_known ())
 	  return res;
       }
 
-  if (const widening_svalue2 *widen_lhs = lhs->dyn_cast_widening_svalue2 ())
+  if (const widening_svalue *widen_lhs = lhs->dyn_cast_widening_svalue ())
     if (tree rhs_cst = rhs->maybe_get_constant ())
       {
 	tristate res = widen_lhs->eval_condition_without_cm (op, rhs_cst);
@@ -6842,7 +5682,7 @@ region_model2::eval_condition_without_cm (const svalue2 *lhs,
 	  return res;
       }
 #if 0
-  if (const widening_svalue2 *widen_rhs = rhs->dyn_cast_widening_svalue2 ())
+  if (const widening_svalue *widen_rhs = rhs->dyn_cast_widening_svalue ())
     {
       gcc_unreachable ();
     }
@@ -6851,20 +5691,20 @@ region_model2::eval_condition_without_cm (const svalue2 *lhs,
   return tristate::TS_UNKNOWN;
 }
 
-/* Subroutine of region_model2::eval_condition_without_cm, for rejecting
+/* Subroutine of region_model::eval_condition_without_cm, for rejecting
    equality of INIT_VAL(PARM) with &LOCAL.  */
 
 tristate
-region_model2::compare_initial_and_pointer (const initial_svalue2 *init,
-					    const region_svalue2 *ptr) const
+region_model::compare_initial_and_pointer (const initial_svalue *init,
+					    const region_svalue *ptr) const
 {
-  const region2 *pointee = ptr->get_pointee ();
+  const region *pointee = ptr->get_pointee ();
 
   /* If we have a pointer to something within a stack frame, it can't be the
      initial value of a param.  */
   if (pointee->maybe_get_frame_region ())
     {
-      const region2 *reg = init->get_region ();
+      const region *reg = init->get_region ();
       if (tree reg_decl = reg->maybe_get_decl ())
 	if (TREE_CODE (reg_decl) == SSA_NAME)
 	  {
